%global momorel 1

Summary: perl-Digest-SHA1
Name: perl-Digest-SHA1
Version: 2.11
Release: %{momorel}m
License: GPL or Artistic
Group: Development/Languages
%NoSource 0 http://www.cpan.org/modules/by-module/Digest/Digest-SHA1-%{version}.tar.gz 2449bfe21d6589c96eebf94dae24df6b
URL: http://www.cpan.org/modules/by-module/Digest/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: perl >= 5.8.5

%description
The Digest::SHA1 module

%prep
rm -rf %{buildroot}

%setup -q -n Digest-SHA1-%{version} 

%build
CFLAGS="%optflags" perl Makefile.PL
make
make test

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm %{buildroot}/%{perl_sitearch}/auto/Digest/SHA1/.packlist

%clean
rm -rf %{buildroot}

%changelog
* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.11-1m)
- version 2.11
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.10-2m)
- rebuilt against perl-5.8.7

* Mon Feb 28 2005 Kazuhiko <kazuhiko@fdiary.net>
- (2.10-1m)
- version up

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.06-3m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.06-2m)
- remove Epoch from BuildPrereq

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.06-1m)
- rebuild against perl-5.8.2
- update to 2.06

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.04-3m)
- rebuild against perl-5.8.1

* Wed Oct 29 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (2.04-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Sep  1 2003 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.04-1m)

* Sun Jan  5 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.02-1m)

* Sat Nov 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.01-6m)
- rebuild against perl-5.8.0

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.01-5m)
- remove BuildPreReq: gcc2.95.3

* Fri Mar  1 2002 Shingo Akagaki <dora@kondara.org>
- (2.01-4k)
- remove .packlist

* Thu Feb 28 2002 Shingo Akagaki <dora@kondara.org>
- (2.01-2k)
- create

%files
%defattr(-,root,root)
%doc Changes README 
%{_mandir}/man3/*
%{perl_sitearch}/auto/Digest/SHA1
%{perl_sitearch}/Digest/SHA1.pm
